gnutls_pkcs11_obj_get_flags(3)

NAME
gnutls_pkcs11_obj_get_flags - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_get_flags(gnutls_pkcs11_obj_t obj, unsigned int * oflags);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    The structure that holds the object

unsigned int * oflags
    Will hold the output flags

DESCRIPTION
This function will return the flags of the object being stored in the structure. The oflags are the GNUTLS_PKCS11_OBJ_FLAG_MARK flags.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/